Home

Stacks Blockchain API

vv8.11.4
Base URL
https://stacks.nownodes.io

Authentication

api-keyAuthapiKey

API Key: api-key in header

Node

Accounts

Read-only endpoints to obtain Stacks account details

Get account assets

GET
https://stacks.nownodes.io/extended/v1/address/{principal}/assets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of all assets events associated with an account or a Contract Identifier. This includes Transfers, Mints.

Parameters

limitinteger[0, 100]20query

Results per page

offsetinteger>= 00query

Result offset

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

until_blockstringquery

Block hash or block height. Return data representing the state up until that point in time, rather than the current block. Note - Use either of the query parameters but not both at a time.

principalstring | stringrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get inbound STX transfers

GET
https://stacks.nownodes.io/extended/v1/address/{principal}/stx_inbound

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of STX transfers with memos to the given principal. This includes regular transfers from a stx-transfer transaction type, and transfers from contract-call transactions a the send-many-memo bulk sending contract.

Parameters

limitinteger[0, 50]20query

Results per page

offsetinteger>= 00query

Result offset

heightintegerquery

Filter for transactions only at this given block height

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

until_blockstringquery

Block hash or block height. Return data representing the state up until that point in time, rather than the current block. Note - Use either of the query parameters but not both at a time.

principalstring | stringrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get the latest nonce used by an account

GET
https://stacks.nownodes.io/extended/v1/address/{principal}/nonces

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions.

Parameters

block_heightinteger>= 1query

Optionally get the nonce at a given block height.

block_hashstringquery

Optionally get the nonce at a given block hash. Note - Use either of the query parameters but not both at a time.

principalstring | stringrequiredpath

Response

200OK

The latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions

400Bad Request

Error Response

Get principal STX balance

GET
https://stacks.nownodes.io/extended/v2/addresses/{principal}/balances/stx

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves STX account balance information for a given Address or Contract Identifier.

Parameters

include_mempoolbooleanfalsequery

Include pending mempool transactions in the balance calculation

principalstring | stringrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get principal FT balances

GET
https://stacks.nownodes.io/extended/v2/addresses/{principal}/balances/ft

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves Fungible-token account balance information for a given Address or Contract Identifier.

Parameters

limitinteger[0, 200]100query

Results per page

offsetinteger>= 00query

Result offset

principalstring | stringrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get principal FT balance

GET
https://stacks.nownodes.io/extended/v2/addresses/{principal}/balances/ft/{token}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a specific fungible-token balance for a given principal.

Parameters

principalstring | stringrequiredpath
tokenstringrequiredpath

fungible token identifier

Response

200OK

Default Response

400Bad Request

Error Response

Blocks

Read-only endpoints to obtain Stacks block details

Get blocks

GET
https://stacks.nownodes.io/extended/v2/blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of recently mined blocks

Parameters

limitinteger[0, 30]20query

Results per page

offsetinteger[-300, 300]0query

Result offset

cursorstringquery

Cursor for block pagination

Response

200OK

Default Response

400Bad Request

Error Response

Get average block times

GET
https://stacks.nownodes.io/extended/v2/blocks/average-times

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves average block times (in seconds)

Response

200OK

Default Response

400Bad Request

Error Response

Get block

GET
https://stacks.nownodes.io/extended/v2/blocks/{height_or_hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a single block

Parameters

height_or_hashstring | string | integerrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get signer signatures for block

GET
https://stacks.nownodes.io/extended/v2/blocks/{height_or_hash}/signer-signatures

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the signer signatures (an array of signature byte strings) in a single block

Parameters

limitinteger[0, 1000]500query

Results per page

offsetinteger>= 00query

Result offset

height_or_hashstring | string | integerrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get blocks by tenure

GET
https://stacks.nownodes.io/extended/v2/block-tenures/{tenure_height}/blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves blocks confirmed in a block tenure

Parameters

limitinteger[0, 30]20query

Results per page

offsetinteger[-300, 300]0query

Result offset

cursorstringquery

Cursor for block pagination

tenure_heightinteger>= 0requiredpath

Block tenure height

Response

200OK

Default Response

400Bad Request

Error Response

Burn Blocks

Read-only endpoints to obtain burn block details

Get burn blocks

GET
https://stacks.nownodes.io/extended/v2/burn-blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of recent burn blocks

Parameters

limitinteger[0, 30]20query

Results per page

offsetinteger>= 00query

Result offset

Response

200OK

Default Response

400Bad Request

Error Response

Get burn block

GET
https://stacks.nownodes.io/extended/v2/burn-blocks/{height_or_hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a single burn block

Parameters

height_or_hashstring | string | integerrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get blocks by burn block

GET
https://stacks.nownodes.io/extended/v2/burn-blocks/{height_or_hash}/blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of blocks confirmed by a specific burn block

Parameters

limitinteger[0, 30]20query

Results per page

offsetinteger>= 00query

Result offset

height_or_hashstring | string | integerrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Faucets

Endpoints to request STX or BTC tokens (not possible on Mainnet)

Add regtest BTC tokens to address

POST
https://stacks.nownodes.io/extended/v1/faucets/btc

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Add 0.01 BTC token to the specified regtest BTC address.

Copied!
    The endpoint returns the transaction ID, which you can use to view the transaction in a regtest Bitcoin block
    explorer. The tokens are delivered once the transaction has been included in a block.

    **Note:** This is a Bitcoin regtest-only endpoint. This endpoint will not work on the Bitcoin mainnet.

Body

application/json
Any of
addressstring

A valid regtest BTC address

Parameters

addressstringquery

A valid regtest BTC address

largebooleanfalsequery

Request a large amount of regtest BTC than the default

xlargebooleanfalsequery

Request an extra large amount of regtest BTC than the default

Response

200OK

POST request that initiates a transfer of tokens to a specified Bitcoin regtest address

400Bad Request

Error Response

Get BTC balance for address

GET
https://stacks.nownodes.io/extended/v1/faucets/btc/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

addressstringrequiredpath

A valid regtest BTC address

Response

200OK

Default Response

400Bad Request

Error Response

Get STX testnet tokens

POST
https://stacks.nownodes.io/extended/v1/faucets/stx

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Add 500 STX tokens to the specified testnet address. Testnet STX addresses begin with ST. If the stacking parameter is set to true, the faucet will add the required number of tokens for individual stacking to the specified testnet address.

Copied!
    The endpoint returns the transaction ID, which you can use to view the transaction in the
    [Stacks Explorer](https://explorer.hiro.so/?chain=testnet). The tokens are delivered once the transaction has
    been included in an anchor block.

    A common reason for failed faucet transactions is that the faucet has run out of tokens. If you are experiencing
    failed faucet transactions to a testnet address, you can get help in [Discord](https://stacks.chat).

    **Note:** This is a testnet only endpoint. This endpoint will not work on the mainnet.

Body

application/json
Any of
addressstring

[Deprecated -- use query param rather than POST body] A valid testnet STX address

Parameters

addressstringquery

A valid testnet STX address

stackingbooleanfalsequery

Request the amount of STX tokens needed for individual address stacking

Response

200OK

POST request that initiates a transfer of tokens to a specified testnet address

400Bad Request

Error Response

Info

Read-only endpoints to obtain network, Proof-of-Transfer, Stacking, STX token, and node information

API status

GET
https://stacks.nownodes.io/extended

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the running status of the Stacks Blockchain API, including the server version and current chain tip information.

Response

200OK

Default Response

400Bad Request

Error Response

Get total and unlocked STX supply

GET
https://stacks.nownodes.io/extended/v1/stx_supply

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the total and unlocked STX supply. More information on Stacking can be found [here] (https://docs.stacks.co/understand-stacks/stacking).

Parameters

heightinteger>= 0query

Supply details are queried from specified block height. If the block height is not specified, the latest block height is taken as default value. Note that the block height is referred to the stacks blockchain.

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

Response

200OK

GET request that returns network target block times

400Bad Request

Error Response

Get the network target block time

GET
https://stacks.nownodes.io/extended/v1/info/network_block_times

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the target block times for mainnet and testnet. The block time is hardcoded and will change throughout the implementation phases of the testnet.

Response

200OK

GET request that returns network target block times

400Bad Request

Error Response

Get a given network's target block time

GET
https://stacks.nownodes.io/extended/v1/info/network_block_time/{network}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the target block time for a given network. The network can be mainnet or testnet. The block time is hardcoded and will change throughout the implementation phases of the testnet.

Parameters

networkstring | stringrequiredpath

Response

200OK

GET request that target block time for a given network

400Bad Request

Error Response

Microblocks

Read-only endpoints to obtain microblocks details

Get recent microblocks

GET
https://stacks.nownodes.io/extended/v1/microblock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of microblocks.

Copied!
      If you need to actively monitor new microblocks, we highly recommend subscribing to [WebSockets or Socket.io](https://github.com/hirosystems/stacks-blockchain-api/tree/master/client) for real-time updates.

Parameters

limitinteger[0, 200]20query

Max number of microblocks to fetch

offsetinteger>= 00query

Result offset

Response

200OK

GET request that returns microblocks

400Bad Request

Error Response

Get microblock

GET
https://stacks.nownodes.io/extended/v1/microblock/{hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a specific microblock by hash

Parameters

hashstringrequiredpath

Hash of the microblock

Response

200OK

A microblock

400Bad Request

Error Response

Get the list of current transactions that belong to unanchored microblocks

GET
https://stacks.nownodes.io/extended/v1/microblock/unanchored/txs

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves transactions that have been streamed in microblocks but not yet accepted or rejected in an anchor block

Response

200OK

Default Response

400Bad Request

Error Response

Names

Read-only endpoints realted to the Blockchain Naming System on Stacks

Get Historical Zone File

GET
https://stacks.nownodes.io/v1/names/{name}/zonefile/{zoneFileHash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the historical zonefile specified by the username and zone hash.

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

namestringrequiredpath

fully-qualified name

zoneFileHashstringrequiredpath

zone file hash

Response

200OK

Fetches the historical zonefile specified by the username and zone hash.

400Bad Request

Error

Get Name Subdomains

GET
https://stacks.nownodes.io/v1/names/{name}/subdomains

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the list of subdomains for a specific name

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

namestringrequiredpath

fully-qualified name

Response

200OK

Fetch a list of subdomains in a name.

400Bad Request

Error Response

Get Zone File

GET
https://stacks.nownodes.io/v1/names/{name}/zonefile

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a user's raw zone file. This only works for RFC-compliant zone files. This method returns an error for names that have non-standard zone files.

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

namestringrequiredpath

fully-qualified name

Response

200OK

Fetch a user's raw zone file. This only works for RFC-compliant zone files. This method returns an error for names that have non-standard zone files.

400Bad Request

Error

Get All Names

GET
https://stacks.nownodes.io/v1/names

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of all names known to the node.

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

pageinteger>= 00query

names are defaulted to page 1 with 100 results. You can query specific page results by using the 'page' query parameter.

Response

200OK

Fetch a list of all names known to the node.

400Bad Request

Error

Get Name Details

GET
https://stacks.nownodes.io/v1/names/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves details of a given name including the address, status and last transaction id - last_txid.

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

namestringrequiredpath

fully-qualified name

Response

200OK

Get name details

400Bad Request

Error Response

Get All Namespaces

GET
https://stacks.nownodes.io/v1/namespaces

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of all namespaces known to the node.

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

Response

200OK

Default Response

400Bad Request

Error Response

Get Namespace Names

GET
https://stacks.nownodes.io/v1/namespaces/{tld}/names

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of names within a given namespace.

Parameters

pagenumberquery

namespace values are defaulted to page 1 with 100 results. You can query specific page results by using the 'page' query parameter.

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

tldstringrequiredpath

the namespace to fetch names from.

Response

200OK

Fetch a list of names from the namespace.

400Bad Request

Error Response

Get Names Owned by Address

GET
https://stacks.nownodes.io/v1/addresses/{blockchain}/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of names owned by the address provided.

Parameters

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

blockchainstringrequiredpath

the layer-1 blockchain for the address

addressstringrequiredpath

the address to lookup

Response

200OK

Retrieves a list of names owned by the address provided.

400Bad Request

Error Response

Get Namespace Price

GET
https://stacks.nownodes.io/v2/prices/namespaces/{tld}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the price of a namespace. The amount given will be in the smallest possible units of the currency.

Parameters

tldstringrequiredpath

the namespace to fetch price for

Response

200OK

Fetch price for namespace.

400Bad Request

Error Response

Get Name Price

GET
https://stacks.nownodes.io/v2/prices/names/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the price of a name. The amount given will be in the smallest possible units of the currency.

Parameters

namestringrequiredpath

the name to query price information for

Response

200OK

Fetch price for name.

400Bad Request

Error Response

Non-Fungible Tokens

Read-only endpoints to obtain non-fungible token details

Non-Fungible Token holdings

GET
https://stacks.nownodes.io/extended/v1/tokens/nft/holdings

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the list of Non-Fungible Tokens owned by the given principal (STX address or Smart Contract ID). Results can be filtered by one or more asset identifiers and can include metadata about the transaction that made the principal own each token.

Copied!
    More information on Non-Fungible Tokens on the Stacks blockchain can be found [here](https://docs.stacks.co/write-smart-contracts/tokens#non-fungible-tokens-nfts).

Parameters

principalstring | stringrequiredquery
asset_identifiersArray<string>query
limitinteger[0, 200]50query

max number of tokens to fetch

offsetinteger>= 00query

index of first tokens to fetch

tx_metadatabooleanfalserequiredquery

whether or not to include the complete transaction metadata instead of just tx_id. Enabling this option can affect performance and response times.

Response

200OK

List of Non-Fungible Token holdings

400Bad Request

Error Response

Non-Fungible Token history

GET
https://stacks.nownodes.io/extended/v1/tokens/nft/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves all events relevant to a Non-Fungible Token. Useful to determine the ownership history of a particular asset.

Copied!
    More information on Non-Fungible Tokens on the Stacks blockchain can be found [here](https://docs.stacks.co/write-smart-contracts/tokens#non-fungible-tokens-nfts).

Parameters

asset_identifierstringrequiredquery

asset class identifier

valuestringrequiredquery

hex representation of the token's unique value

limitinteger[0, 200]50query

max number of events to fetch

offsetinteger>= 00query

index of first event to fetch

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

tx_metadatabooleanfalserequiredquery

whether or not to include the complete transaction metadata instead of just tx_id. Enabling this option can affect performance and response times.

Response

200OK

List of Non-Fungible Token history events

400Bad Request

Error Response

Non-Fungible Token mints

GET
https://stacks.nownodes.io/extended/v1/tokens/nft/mints

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves all mint events for a Non-Fungible Token asset class. Useful to determine which NFTs of a particular collection have been claimed.

Copied!
    More information on Non-Fungible Tokens on the Stacks blockchain can be found [here](https://docs.stacks.co/write-smart-contracts/tokens#non-fungible-tokens-nfts).

Parameters

asset_identifierstringrequiredquery

asset class identifier

limitinteger[0, 200]50query

max number of events to fetch

offsetinteger>= 00query

index of first event to fetch

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

tx_metadatabooleanfalserequiredquery

whether or not to include the complete transaction metadata instead of just tx_id. Enabling this option can affect performance and response times.

Response

200OK

List of Non-Fungible Token mint events for an asset identifier

400Bad Request

Error Response

Search

GET
https://stacks.nownodes.io/extended/v1/search/{id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Search blocks, transactions, contracts, or accounts by hash/ID

Parameters

include_metadatabooleanfalsequery

This includes the detailed data for purticular hash in the response

idstringrequiredpath

The hex hash string for a block or transaction, account address, or contract address

Response

200OK

Default Response

400Bad Request

Error Response

404Not Found

Default Response

Smart Contracts

Read-only endpoints to obtain Clarity smart contract details

Get contracts by trait

GET
https://stacks.nownodes.io/extended/v1/contract/by_trait

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of contracts based on the following traits listed in JSON format - functions, variables, maps, fungible tokens and non-fungible tokens

Parameters

trait_abistringrequiredquery

JSON abi of the trait.

limitinteger[0, 50]20query

max number of contracts fetch

offsetinteger>= 00query

index of first contract event to fetch

Response

200OK

GET list of contracts

400Bad Request

Error Response

Get contract info

GET
https://stacks.nownodes.io/extended/v1/contract/{contract_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves details of a contract with a given contract_id

Parameters

contract_idstringrequiredpath

Contract identifier formatted as <contract_address>.<contract_name>

Response

200OK

A Smart Contract Detail

400Bad Request

Error Response

Get contract events

GET
https://stacks.nownodes.io/extended/v1/contract/{contract_id}/events

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of events that have been triggered by a given contract_id

Parameters

limitinteger[0, 50]20query

max number of events to fetch

offsetinteger>= 00query

Result offset

contract_idstringrequiredpath

Contract identifier formatted as <contract_address>.<contract_name>

Response

200OK

List of events

400Bad Request

Error Response

Get smart contracts status

GET
https://stacks.nownodes.io/extended/v2/smart-contracts/status

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the deployment status of multiple smart contracts.

Parameters

contract_idArray<string> | stringrequiredquery

Response

200OK

Default Response

400Bad Request

Error Response

Stacking Rewards

Read-only endpoints to obtain Stacking reward details

Get recent reward slot holders

GET
https://stacks.nownodes.io/extended/v1/burnchain/reward_slot_holders

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of the Bitcoin addresses that would validly receive Proof-of-Transfer commitments.

Parameters

limitinteger[0, 250]96query

max number of items to fetch

offsetinteger>= 00query

Result offset

Response

200OK

Default Response

400Bad Request

Error Response

Get recent reward slot holder entries for the given address

GET
https://stacks.nownodes.io/extended/v1/burnchain/reward_slot_holders/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of the Bitcoin addresses that would validly receive Proof-of-Transfer commitments for a given reward slot holder recipient address.

Parameters

limitinteger[0, 250]96query

Results per page

offsetinteger>= 00query

Result offset

addressstringrequiredpath

Reward slot holder recipient address. Should either be in the native burnchain's format (e.g. B58 for Bitcoin), or if a STX principal address is provided it will be encoded as into the equivalent burnchain format

Response

200OK

List of burnchain reward recipients and amounts

400Bad Request

Error Response

Get recent burnchain reward recipients

GET
https://stacks.nownodes.io/extended/v1/burnchain/rewards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of recent burnchain (e.g. Bitcoin) reward recipients with the associated amounts and block info

Parameters

limitinteger[0, 250]96query

Results per page

offsetinteger>= 00query

Result offset

Response

200OK

List of burnchain reward recipients and amounts

400Bad Request

Error Response

Get recent burnchain reward for the given recipient

GET
https://stacks.nownodes.io/extended/v1/burnchain/rewards/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of recent burnchain (e.g. Bitcoin) rewards for the given recipient with the associated amounts and block info

Parameters

limitinteger[0, 250]96query

Results per page

offsetinteger>= 00query

Result offset

addressstringrequiredpath

Reward recipient address. Should either be in the native burnchain's format (e.g. B58 for Bitcoin), or if a STX principal address is provided it will be encoded as into the equivalent burnchain format

Response

200OK

List of burnchain reward recipients and amounts

400Bad Request

Error Response

Get total burnchain rewards for the given recipient

GET
https://stacks.nownodes.io/extended/v1/burnchain/rewards/{address}/total

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the total burnchain (e.g. Bitcoin) rewards for a given recipient address

Parameters

addressstringrequiredpath

Reward recipient address. Should either be in the native burnchain's format (e.g. B58 for Bitcoin), or if a STX principal address is provided it will be encoded as into the equivalent burnchain format

Response

200OK

Total burnchain rewards made to a recipient

400Bad Request

Error Response

Transactions

Endpoints to obtain transaction details and to broadcast transactions to the network

Get recent transactions

GET
https://stacks.nownodes.io/extended/v1/tx

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves all recently mined transactions

Parameters

offsetinteger>= 00query

Result offset

limitinteger[0, 50]20query

Results per page

typeArray<string | string | string | string | string | string>query
unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

orderstring | stringquery
sort_bystring | string | stringblock_heightquery

Option to sort results by block height, timestamp, or fee

from_addressstringquery

Option to filter results by sender address

to_addressstringquery

Option to filter results by recipient address

start_timeintegerquery

Filter by transactions after this timestamp (unix timestamp in seconds)

end_timeintegerquery

Filter by transactions before this timestamp (unix timestamp in seconds)

contract_idstringquery

Option to filter results by contract ID

function_namestringquery

Filter by contract call transactions involving this function name

nonceinteger[0, 9007199254740991]query

Filter by transactions with this nonce

Response

200OK

List of transactions

400Bad Request

Error Response

Get list of details for transactions

GET
https://stacks.nownodes.io/extended/v1/tx/multiple

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of transactions for a given list of transaction IDs

Parameters

tx_idArray<string>requiredquery
event_limitinteger[0, 100]20query

Results per page

event_offsetinteger>= 00query

Result offset

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

Response

200OK

Default Response

400Bad Request

Error Response

Get mempool transactions

GET
https://stacks.nownodes.io/extended/v1/tx/mempool

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves all transactions that have been recently broadcast to the mempool. These are pending transactions awaiting confirmation.

Copied!
    If you need to monitor new transactions, we highly recommend subscribing to [WebSockets or Socket.io](https://github.com/hirosystems/stacks-blockchain-api/tree/master/client) for real-time updates.

Parameters

sender_addressstringquery

STX Address

recipient_addressstringquery

STX Address

addressstringquery

STX Address

order_bystring | string | stringquery

Option to sort results by transaction age, size, or fee rate.

orderstring | stringquery

Results order

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

offsetinteger>= 00query

Result offset

limitinteger[0, 50]20query

Results per page

Response

200OK

List of mempool transactions

400Bad Request

Error Response

Get statistics for mempool transactions

GET
https://stacks.nownodes.io/extended/v1/tx/mempool/stats

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Queries for transactions counts, age (by block height), fees (simple average), and size. All results broken down by transaction type and percentiles (p25, p50, p75, p95).

Response

200OK

GET request that returns stats on mempool transactions

400Bad Request

Error Response

Transaction Events

GET
https://stacks.nownodes.io/extended/v1/tx/events

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the list of events filtered by principal (STX address or Smart Contract ID), transaction id or event types. The list of event types is ('smart_contract_log', 'stx_lock', 'stx_asset', 'fungible_token_asset', 'non_fungible_token_asset').

Parameters

tx_idstringquery

Transaction ID

addressstring | stringquery
typeArray<string | string | string | string | string>query
offsetinteger>= 00query

Result offset

limitinteger[0, 100]20query

Results per page

Response

200OK

Default Response

400Bad Request

Error Response

Get transaction

GET
https://stacks.nownodes.io/extended/v1/tx/{tx_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves transaction details for a given transaction ID

Parameters

event_limitinteger[0, 100]20query

Results per page

event_offsetinteger>= 00query

Result offset

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

tx_idstringrequiredpath

Transaction ID

Response

200OK

Default Response

400Bad Request

Error Response

Get raw transaction

GET
https://stacks.nownodes.io/extended/v1/tx/{tx_id}/raw

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a hex encoded serialized transaction for a given ID

Parameters

event_limitinteger[0, 100]20query

Results per page

event_offsetinteger>= 00query

Result offset

tx_idstringrequiredpath

Transaction ID

Response

200OK

GET raw transaction

400Bad Request

Error Response

Transactions for address

GET
https://stacks.nownodes.io/extended/v1/address/{principal}/mempool

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves all transactions for a given address that are currently in mempool

Parameters

limitinteger[0, 50]20query

Results per page

offsetinteger>= 00query

Result offset

unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

principalstring | stringrequiredpath

Response

200OK

List of mempool transactions

400Bad Request

Error Response

Get transactions by block

GET
https://stacks.nownodes.io/extended/v2/blocks/{height_or_hash}/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves transactions confirmed in a single block

Parameters

limitinteger[0, 50]20query

Results per page

offsetinteger>= 00query

Result offset

height_or_hashstring | string | integerrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get address transactions

GET
https://stacks.nownodes.io/extended/v2/addresses/{address}/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a paginated list of confirmed transactions sent or received by a STX address or Smart Contract ID, alongside the total amount of STX sent or received and the number of STX, FT and NFT transfers contained within each transaction.

Copied!
    More information on Transaction types can be found [here](https://docs.stacks.co/understand-stacks/transactions#types).

Parameters

limitinteger[0, 50]20query

Results per page

offsetinteger>= 00query

Result offset

addressstring | stringrequiredpath

Response

200OK

Default Response

400Bad Request

Error Response

Get events for an address transaction

GET
https://stacks.nownodes.io/extended/v2/addresses/{address}/transactions/{tx_id}/events

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a paginated list of all STX, FT and NFT events concerning a STX address or Smart Contract ID within a specific transaction.

Parameters

limitinteger[0, 50]20query

Results per page

offsetinteger>= 00query

Result offset

addressstring | stringrequiredpath
tx_idstringrequiredpath

Transaction ID

Response

200OK

Default Response

400Bad Request

Error Response

Mempool

Endpoints to obtain Mempool information

Get mempool transaction fee priorities

GET
https://stacks.nownodes.io/extended/v2/mempool/fees

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns estimated fee priorities (in micro-STX) for all transactions that are currently in the mempool. Also returns priorities separated by transaction type.

Response

200OK

Default Response

400Bad Request

Error Response

Proof of Transfer

Endpoints to get information about the Proof of Transfer consensus mechanism

Get PoX cycles

GET
https://stacks.nownodes.io/extended/v2/pox/cycles

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of PoX cycles

Parameters

limitinteger[0, 60]20query

Results per page

offsetinteger>= 00query

Result offset

Response

200OK

Default Response

400Bad Request

Error Response

Get PoX cycle

GET
https://stacks.nownodes.io/extended/v2/pox/cycles/{cycle_number}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves details for a PoX cycle

Parameters

cycle_numberintegerrequiredpath

PoX cycle number

Response

200OK

Default Response

400Bad Request

Error Response

Get signers in PoX cycle

GET
https://stacks.nownodes.io/extended/v2/pox/cycles/{cycle_number}/signers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of signers in a PoX cycle

Parameters

limitinteger[0, 250]100query

Results per page

offsetinteger>= 00query

Result offset

cycle_numberintegerrequiredpath

PoX cycle number

Response

200OK

Default Response

400Bad Request

Error Response

Get signer in PoX cycle

GET
https://stacks.nownodes.io/extended/v2/pox/cycles/{cycle_number}/signers/{signer_key}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves details for a signer in a PoX cycle

Parameters

cycle_numberintegerrequiredpath

PoX cycle number

signer_keystringrequiredpath

Signer key

Response

200OK

Default Response

400Bad Request

Error Response

Get stackers for signer in PoX cycle

GET
https://stacks.nownodes.io/extended/v2/pox/cycles/{cycle_number}/signers/{signer_key}/stackers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a list of stackers for a signer in a PoX cycle

Parameters

limitinteger[0, 200]100query

Results per page

offsetinteger>= 00query

Result offset

cycle_numberintegerrequiredpath

PoX cycle number

signer_keystringrequiredpath

Signer key

Response

200OK

Default Response

400Bad Request

Error Response

Fungible Tokens

Fungible token holders

GET
https://stacks.nownodes.io/extended/v1/tokens/ft/{token}/holders

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the list of Fungible Token holders for a given token ID. Specify stx for the token parameter to get the list of STX holders.

Parameters

limitinteger[0, 200]100query

max number of holders to fetch

offsetinteger>= 00query

index of first holder to fetch

tokenstringrequiredpath

fungible token identifier

Response

200OK

Default Response

400Bad Request

Error Response

Stacking

Get latest PoX events

GET
https://stacks.nownodes.io/extended/v1/{pox}/events

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

limitinteger[0, 200]96query

Results per page

offsetinteger>= 00query

Result offset

poxstring | string | stringrequiredpath

Response

200OK

Default Response

Get PoX events for a transaction

GET
https://stacks.nownodes.io/extended/v1/{pox}/tx/{tx_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

poxstring | string | stringrequiredpath
tx_idstringrequiredpath

Response

200OK

Default Response

Get events for a stacking address

GET
https://stacks.nownodes.io/extended/v1/{pox}/stacker/{principal}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

poxstring | string | stringrequiredpath
principalstring | stringrequiredpath

Response

200OK

Default Response

Stacking pool members

GET
https://stacks.nownodes.io/extended/v1/{pox}/{pool_principal}/delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the list of stacking pool members for a given delegator principal.

Parameters

limitinteger[0, 200]100query

Results per page

offsetinteger>= 00query

Result offset

after_blockinteger>= 1query

If specified, only delegation events after the given block will be included

heightinteger>= 1query
unanchoredbooleanfalsequery

Include data from unanchored (i.e. unconfirmed) microblocks

poxstring | string | stringrequiredpath
pool_principalstringrequiredpath

Address principal of the stacking pool delegator

Response

200OK

Default Response

400Bad Request

Error Response